#1158 ooSQLite ooSQLiteConnection tableColumnMetaData Catch22 error

ooSQLite.preview
closed
ooSQLite (10)
none
1
2013-05-12
2013-01-31
No

Passing a .Directory object to tableColumnMetaData as 3rd parameter (as documented) generates the following message:

Error 88.900: Argument 3 must be of the Stem class; found a Directory

Passing a .Stem object to the same method as 3rd parameter generates the following message:

Error 88.900: Argument 3 must be of the Directory class; found Stem

Related

Bugs: #1158

Discussion

  • Mark Miesfeld

    Mark Miesfeld - 2013-01-31
    • labels: --> ooSQLite
    • status: open --> pending
    • assigned_to: Mark Miesfeld
    • milestone: None --> ooSQLite.preview
     
  • Mark Miesfeld

    Mark Miesfeld - 2013-01-31

    committed revision 8912. [r8912]

    Thanks Staffan. It is fixed now.

     

    Related

    Commit: [r8912]

  • Staffan Tylen

    Staffan Tylen - 2013-01-31

    Cheers!

    On Thu, Jan 31, 2013 at 5:25 PM, Mark Miesfeld miesfeld@users.sf.netwrote:

    committed revision 8912. [r8912]http://sourceforge.net/p/oorexx/code-0/8912/

    Thanks Staffan. It is fixed now.

    Status: pending
    Labels: ooSQLite
    Created: Thu Jan 31, 2013 04:05 PM UTC by Staffan Tylen
    Last Updated: Thu Jan 31, 2013 04:05 PM UTC
    Owner: Mark Miesfeld

    Passing a .Directory object to tableColumnMetaData as 3rd parameter (as
    documented) generates the following message:

    Error 88.900: Argument 3 must be of the Stem class; found a Directory

    Passing a .Stem object to the same method as 3rd parameter generates the
    following message:

    Error 88.900: Argument 3 must be of the Directory class; found Stem

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/oorexx/bugs/1158/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Bugs: #1158
    Commit: [r8912]

  • Mark Miesfeld

    Mark Miesfeld - 2013-05-12
    • status: pending --> closed
     
  • Mark Miesfeld

    Mark Miesfeld - 2013-05-12

    This fix is available in ooSQLite Version 1.0.0.9160 (Preview) and earlier previews. 1.0.0.9160 is currently available from the files download section.

     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks